> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 랭킹 - 인기 토큰

> 인기 토큰 목록 조회

<Note>
  지정된 기간의 거래 활동량으로 순위가 매겨진 인기/핫 토큰을 가져옵니다. 사용 가능한 기간은 체인마다 다릅니다.
</Note>

**관련**: MCP: `ranking_get_hot_tokens`


## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/ranking/{chain}/hotTokens/{duration}
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/ranking/{chain}/hotTokens/{duration}:
    get:
      tags:
        - Ranking
      summary: 랭킹 - 인기 토큰
      description: 인기 토큰 목록 조회
      operationId: get.hot.tokens
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: duration
          in: path
          description: 랭킹 기간
          required: true
          schema:
            $ref: '#/components/schemas/RankingDuration'
          example: 24h
        - name: sortBy
          in: query
          description: 정렬 필드
          required: false
          schema:
            $ref: '#/components/schemas/TokenField'
          example: marketData.marketCapInUsd
        - name: sortDirection
          in: query
          description: 정렬 방향
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/SortDirection'
            default: desc
          example: desc
        - name: tag
          in: query
          description: 랭킹 태그 필터
          required: false
          schema:
            $ref: '#/components/schemas/RankingTag'
          example: pump_fun
        - name: rangeFilters
          in: query
          description: 필터 조건 JSON 배열
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/RangeFilterCondition'
          example:
            - field: marketData.marketCapInUsd
              min: '50000'
        - name: filters
          in: query
          description: 필터
          required: false
          schema:
            type: array
            items:
              type: string
          example: has_social_media
        - name: launchpadPlatform
          in: query
          description: 런치패드 플랫폼
          required: false
          schema:
            type: array
            items:
              type: string
          example: raydium_launchpad
        - name: searchKeywords
          in: query
          description: 검색 키워드
          required: false
          schema:
            type: array
            items:
              type: string
          example: trump
        - name: excludeKeywords
          in: query
          description: 제외 키워드
          required: false
          schema:
            type: array
            items:
              type: string
          example: scam
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Token'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    RankingDuration:
      type: string
      enum:
        - 1m
        - 5m
        - 1h
        - 4h
        - 24h
    TokenField:
      type: string
      enum:
        - marketData.priceInUsd
        - stats.priceChangeRatioInUsd1m
        - stats.priceChangeRatioInUsd5m
        - stats.priceChangeRatioInUsd1h
        - stats.priceChangeRatioInUsd4h
        - stats.priceChangeRatioInUsd24h
        - marketData.marketCapInUsd
        - marketData.maxPoolTvlInUsd
        - marketData.totalTvlInUsd
        - marketData.top10TotalHoldings
        - marketData.top10HoldingsRatio
        - marketData.top100TotalHoldings
        - marketData.top100HoldingsRatio
        - marketData.holders
        - marketData.creatorHoldings
        - marketData.creatorHoldingsRatio
        - stats.buys1m
        - stats.buys5m
        - stats.buys15m
        - stats.buys30m
        - stats.buys1h
        - stats.buys4h
        - stats.buys24h
        - stats.sells1m
        - stats.sells5m
        - stats.sells15m
        - stats.sells30m
        - stats.sells1h
        - stats.sells4h
        - stats.sells24h
        - stats.trades1m
        - stats.trades5m
        - stats.trades1h
        - stats.trades4h
        - stats.trades24h
        - stats.traders1m
        - stats.traders5m
        - stats.traders1h
        - stats.traders4h
        - stats.traders24h
        - stats.volumesInUsd1m
        - stats.volumesInUsd5m
        - stats.volumesInUsd1h
        - stats.volumesInUsd4h
        - stats.volumesInUsd24h
        - tokenCreatedAt
        - marketData.athMarketCapInUsd
    SortDirection:
      type: string
      description: 'Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)'
      enum:
        - asc
        - desc
    RankingTag:
      type: string
      enum:
        - pump_fun
        - raydium_launchpad
        - meteora_dynamic_bounding_curve
        - bonk_fun
        - moonit_fun
    RangeFilterCondition:
      type: object
      description: Range filter condition – mirrors TS `FilterCondition` used with min/max.
      required:
        - field
      properties:
        field:
          type: string
          description: 필터 필드명
        max:
          type:
            - string
            - 'null'
          description: 최댓값 (이하)
        min:
          type:
            - string
            - 'null'
          description: 최솟값 (이상)
    Token:
      type: object
      description: |-
        Token entity — mirrors TS `TokenDTO extends TokenMetadataDTO`.

        TS uses class inheritance to flatten metadata into the top level.
        Rust uses `#[serde(flatten)]` for the same effect.
      required:
        - address
        - chain
        - symbol
        - name
        - decimals
      properties:
        address:
          type: string
          description: 토큰 컨트랙트 주소
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain:
          type: string
          description: 블록체인 네트워크 식별자
          example: sol
        coingeckoCoinId:
          type:
            - string
            - 'null'
          description: CoinGecko 코인 식별자
          example: usd-coin
        decimals:
          type: integer
          format: int32
          description: 소수점 자릿수
          example: 9
        description:
          type:
            - string
            - 'null'
          description: 토큰 설명
          example: USDC is a stablecoin pegged to the US dollar
        devLastTokenCreatedAt:
          type:
            - string
            - 'null'
          description: 개발자의 마지막 토큰 생성 타임스탬프
          example: '2025-12-03T09:23:34.000Z'
        devTotalTokens:
          type:
            - string
            - 'null'
          description: 개발자가 생성한 총 토큰 수
          example: '163'
        extension:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TokenExtra'
              description: |-
                ENTITY.TOKEN.EXTENSION
                ENTITY.TOKEN.EXTENSION
        extra:
          $ref: '#/components/schemas/TokenExtra'
          description: 확장 토큰 메타데이터
        imageUrl:
          type:
            - string
            - 'null'
          description: 토큰 로고 이미지 URL
          example: >-
            https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png
        market:
          type:
            - string
            - 'null'
          description: 거래 마켓 식별자
          example: USDC-SOL
        marketData:
          $ref: '#/components/schemas/TokenMarketData'
          description: Market data
        metadataAddress:
          type:
            - string
            - 'null'
          description: 온체인 메타데이터 계정 주소
          example: metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s
        name:
          type: string
          description: 토큰 표시 이름
          example: USD Coin
        score:
          type:
            - number
            - 'null'
          format: double
          description: Search relevance score from OpenSearch _score
        scoreBreakdown:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ScoreBreakdown'
              description: >-
                Approximate factor-level score breakdown (debug /
                explainability)
        security:
          $ref: '#/components/schemas/TokenSecuritySummary'
          description: Security audit summary
        socialMedias:
          $ref: '#/components/schemas/TokenSocialMedias'
          description: 토큰 소셜 미디어 링크
        stats:
          $ref: '#/components/schemas/TokenStats'
          description: Token statistics
        symbol:
          type: string
          description: 토큰 티커 심볼
          example: USDC
        tier:
          type:
            - integer
            - 'null'
          format: int32
          description: 'Search tier: 0 = VIP, 1 = verified, 2 = emerging, null = unverified'
        tokenCreatedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 토큰 생성 타임스탬프 (밀리초)
          example: 1710417600000
        tokenCreatedBlockHeight:
          type:
            - string
            - 'null'
          description: 토큰이 생성된 블록 높이
          example: '220000000'
        tokenCreatedSlot:
          type:
            - string
            - 'null'
          description: 토큰이 생성된 슬롯 번호
          example: '230000000'
        tokenCreatedTxSignature:
          type:
            - string
            - 'null'
          description: 토큰 생성 트랜잭션 서명
          example: 5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...
        tokenCreators:
          type: array
          items:
            $ref: '#/components/schemas/TokenCreator'
          description: 토큰 생성자 목록
        uri:
          type:
            - string
            - 'null'
          description: 토큰 메타데이터 URI
          example: https://arweave.net/abc123
        warningBadge:
          type:
            - string
            - 'null'
          description: 'Warning badge: "unverified", "potential_scam", "honeypot", or null'
    TokenExtra:
      type: object
      description: Token extra metadata
      properties:
        collectionAddress:
          type:
            - string
            - 'null'
          description: NFT 컬렉션 주소
          example: ABCDE
        dexscreenerAd:
          type:
            - boolean
            - 'null'
          description: 토큰에 활성 DexScreener 광고가 있는지 여부
        dexscreenerAdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 광고 타임스탬프
        dexscreenerBannerUrl:
          type:
            - string
            - 'null'
          description: DexScreener banner image URL
        dexscreenerBoostAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 부스트 타임스탬프
        dexscreenerBoostFeeInUsd:
          type:
            - string
            - 'null'
          description: DexScreener 부스트 비용(USD)
        dexscreenerTrendingBar:
          type:
            - boolean
            - 'null'
          description: 토큰이 DexScreener 트렌딩 바에 표시되는지 여부
        dexscreenerTrendingBarAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 트렌딩 바 표시 타임스탬프
        dexscreenerUpdateLink:
          type:
            - boolean
            - 'null'
          description: 토큰 프로필 링크가 DexScreener에서 업데이트되었는지 여부
        dexscreenerUpdateLinkAt:
          type:
            - integer
            - 'null'
          format: int64
          description: DexScreener 링크 업데이트 타임스탬프
        editionNonce:
          type:
            - integer
            - 'null'
          format: int64
          description: 에디션 논스 값
          example: 1
        freezeAuthority:
          type:
            - string
            - 'null'
          description: 동결 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        fungible:
          type:
            - boolean
            - 'null'
          description: 대체 가능 토큰 여부
          example: true
        isMutable:
          type:
            - boolean
            - 'null'
          description: 메타데이터 변경 가능 여부
          example: true
        isNative:
          type:
            - boolean
            - 'null'
          description: '네이티브 토큰 여부 (예: SOL)'
          example: false
        isVerifiedCollection:
          type:
            - boolean
            - 'null'
          description: 검증된 컬렉션 여부
          example: true
        isWrapped:
          type:
            - boolean
            - 'null'
          description: 래핑된 토큰 여부
          example: false
        key:
          type:
            - string
            - 'null'
          description: Metaplex 계정 키 유형
          example: Mint
        launchFromProgramAddress:
          type:
            - string
            - 'null'
          description: 런치 플랫폼 프로그램 주소
          example: 6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P
        launchFromProtocolFamily:
          type:
            - string
            - 'null'
          description: 런치 플랫폼 프로토콜 패밀리
          example: pumpfun
        launchQuoteTokenAddress:
          type:
            - string
            - 'null'
          description: 론칭 시 사용된 견적 토큰 주소
        migratedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 마이그레이션 타임스탬프 (밀리초)
          example: 1714857600000
        migratedToPoolAddress:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 풀 주소
          example: 7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ
        migratedToProgramAddress:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 프로그램 주소
          example: pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA
        migratedToProtocolFamily:
          type:
            - string
            - 'null'
          description: 마이그레이션 대상 프로토콜 패밀리
          example: Raydium
        mintAuthority:
          type:
            - string
            - 'null'
          description: Mint 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
        primarySaleHappened:
          type:
            - boolean
            - 'null'
          description: 1차 판매 완료 여부
          example: false
        programAddress:
          type:
            - string
            - 'null'
          description: 토큰 프로그램 주소
          example: TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA
        sellerFeeBasisPoints:
          type:
            - integer
            - 'null'
          format: int64
          description: 판매자 수수료 (베이시스 포인트)
          example: 100
        tokenStandard:
          type:
            - string
            - 'null'
          description: '토큰 표준 (예: Fungible)'
          example: Fungible
        updateAuthority:
          type:
            - string
            - 'null'
          description: 업데이트 권한 주소
          example: B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV
    TokenMarketData:
      type: object
      description: Token market data
      properties:
        athMarketCapInUsd:
          type:
            - string
            - 'null'
          description: |-
            ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD
            All-time-high market cap in USD (max observed since token creation).
          example: '9500000.00'
        bluechipHoldingsRatio:
          type:
            - string
            - 'null'
          description: 블루칩 보유량의 총 공급 대비 비율
          example: '0.05'
        bluechipTotalHolders:
          type:
            - string
            - 'null'
          description: 블루칩 지갑 홀더 수
          example: '10'
        bluechipTotalHoldings:
          type:
            - string
            - 'null'
          description: 블루칩 지갑의 총 보유량
          example: '50000'
        bundleHoldingsRatio:
          type:
            - string
            - 'null'
          description: 번들 보유량의 총 공급 대비 비율
          example: '0.018'
        bundleTotalHolders:
          type:
            - string
            - 'null'
          description: 번들 지갑 홀더 수
          example: '12'
        bundleTotalHoldings:
          type:
            - string
            - 'null'
          description: 번들 지갑의 총 보유량
          example: '18000'
        circulatingSupply:
          type:
            - string
            - 'null'
          description: 토큰 유통 공급량
          example: '900000'
        completionRatio:
          type:
            - string
            - 'null'
          description: 본딩 커브 완료율
          example: '1.0'
        creatorsHoldingsRatio:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 보유 비율(총 공급량 대비)
          example: '0.10'
        creatorsTotalHolders:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 보유자 수
          example: '1'
        creatorsTotalHoldings:
          type:
            - string
            - 'null'
          description: 크리에이터 지갑 총 보유량
          example: '100000000.00'
        devHoldingsRatio:
          type:
            - string
            - 'null'
          description: 개발자 보유량의 총 공급 대비 비율
          example: '0.005'
        devTotalHolders:
          type:
            - string
            - 'null'
          description: 개발자 지갑 홀더 수
          example: '3'
        devTotalHoldings:
          type:
            - string
            - 'null'
          description: 개발자 지갑의 총 보유량
          example: '5000'
        fdvInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 완전 희석 가치
          example: '200000'
        fdvInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 완전 희석 가치
          example: '200000'
        freshHoldingsRatio:
          type:
            - string
            - 'null'
          description: 신규 지갑 보유량의 총 공급 대비 비율
          example: '0.01'
        freshTotalHolders:
          type:
            - string
            - 'null'
          description: 신규 지갑 홀더 수
          example: '30'
        freshTotalHoldings:
          type:
            - string
            - 'null'
          description: 신규 지갑의 총 보유량
          example: '10000'
        holders:
          type:
            - string
            - 'null'
          description: 총 토큰 홀더 수
          example: '1000'
        insiderHoldingsRatio:
          type:
            - string
            - 'null'
          description: 인사이더 보유량의 총 공급 대비 비율
          example: '0.02'
        insiderTotalHolders:
          type:
            - string
            - 'null'
          description: 인사이더 지갑 홀더 수
          example: '5'
        insiderTotalHoldings:
          type:
            - string
            - 'null'
          description: 인사이더 지갑의 총 보유량
          example: '20000'
        kolHoldingsRatio:
          type:
            - string
            - 'null'
          description: KOL 보유량의 총 공급 대비 비율
          example: '0.03'
        kolTotalHolders:
          type:
            - string
            - 'null'
          description: KOL (핵심 오피니언 리더) 홀더 수
          example: '20'
        kolTotalHoldings:
          type:
            - string
            - 'null'
          description: KOL 지갑의 총 보유량
          example: '30000'
        marketCapInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 시가총액
          example: '100000'
        marketCapInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 시가총액
          example: '100000'
        maxPoolTvlInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 최대 풀 TVL
          example: '1000.45'
        maxPoolTvlInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 최대 풀 TVL
          example: '150000.00'
        maxSupply:
          type:
            - string
            - 'null'
          description: 토큰 최대 공급량
        phishingHoldingsRatio:
          type:
            - string
            - 'null'
          description: 피싱 지갑 보유 비율(총 공급량 대비)
          example: '0.0005'
        phishingTotalHolders:
          type:
            - string
            - 'null'
          description: 피싱으로 표시된 보유자 수
          example: '2'
        phishingTotalHoldings:
          type:
            - string
            - 'null'
          description: 피싱으로 표시된 지갑 총 보유량
          example: '50000.00'
        priceInNative:
          type:
            - string
            - 'null'
          description: 체인 네이티브 토큰 기준 가격
          example: '0.00000261383847574915906643405542'
        priceInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 토큰 가격
          example: '0.00000261383847574915906643405542'
        priceInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 토큰 가격
          example: '0.00000261383847574915906643405542'
        proHoldingsRatio:
          type:
            - string
            - 'null'
          description: 프로 트레이더 보유량의 총 공급 대비 비율
          example: '0.04'
        proTotalHolders:
          type:
            - string
            - 'null'
          description: 프로 트레이더 홀더 수
          example: '25'
        proTotalHoldings:
          type:
            - string
            - 'null'
          description: 프로 트레이더의 총 보유량
          example: '40000'
        ratHoldingsRatio:
          type:
            - string
            - 'null'
          description: 랫 트레이더 지갑 보유 비율(총 공급량 대비)
          example: '0.0012'
        ratTotalHolders:
          type:
            - string
            - 'null'
          description: 랫 트레이더 보유자 수
          example: '5'
        ratTotalHoldings:
          type:
            - string
            - 'null'
          description: 랫 트레이더 지갑 총 보유량
          example: '120000.00'
        sandwishHoldingsRatio:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 보유량의 총 공급 대비 비율
          example: '0.015'
        sandwishTotalHolders:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 지갑 홀더 수
          example: '8'
        sandwishTotalHoldings:
          type:
            - string
            - 'null'
          description: 샌드위치 공격 지갑의 총 보유량
          example: '15000'
        smartHoldingsRatio:
          type:
            - string
            - 'null'
          description: 스마트 머니 지갑 보유 비율(총 공급량 대비)
          example: '0.03'
        smartTotalHolders:
          type:
            - string
            - 'null'
          description: 스마트 머니 보유자 수
          example: '30'
        smartTotalHoldings:
          type:
            - string
            - 'null'
          description: 스마트 머니 지갑 총 보유량
          example: '3000000.00'
        sniperHoldingsRatio:
          type:
            - string
            - 'null'
          description: 스나이퍼 보유량의 총 공급 대비 비율
          example: '0.025'
        sniperTotalHolders:
          type:
            - string
            - 'null'
          description: 스나이퍼 지갑 홀더 수
          example: '15'
        sniperTotalHoldings:
          type:
            - string
            - 'null'
          description: 스나이퍼 지갑의 총 보유량
          example: '25000'
        top100HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 100명 홀더의 총 공급 대비 비율
          example: '0.8'
        top100TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 100 보유자 수
          example: '100'
        top100TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 100명 홀더의 총 보유량
          example: '800000'
        top10HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 10명 홀더의 총 공급 대비 비율
          example: '0.5'
        top10TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 10 보유자 수
          example: '10'
        top10TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 10명 홀더의 총 보유량
          example: '500000'
        top50HoldingsRatio:
          type:
            - string
            - 'null'
          description: 상위 50명 홀더의 총 공급 대비 비율
          example: '0.3'
        top50TotalHolders:
          type:
            - string
            - 'null'
          description: 상위 50 보유자 수
          example: '50'
        top50TotalHoldings:
          type:
            - string
            - 'null'
          description: 상위 50명 홀더의 총 보유량
          example: '300000'
        totalSupply:
          type:
            - string
            - 'null'
          description: 토큰 총 공급량
          example: '1000000'
        totalTvlInSol:
          type:
            - string
            - 'null'
          description: 네이티브 토큰 기준 총 예치 자산
          example: '1000000.45'
        totalTvlInUsd:
          type:
            - string
            - 'null'
          description: USD 기준 총 예치 자산
          example: '1000000.45'
    ScoreBreakdown:
      type: object
      description: >-
        Score breakdown for search result debugging / explainability.

        Computed in Rust post-query as an approximation of the OS Painless
        scoring.
      required:
        - liquidityScore
        - volumeScore
        - holdersScore
        - txCountScore
        - smartMoneyScore
        - ageScore
        - priceChangeScore
        - marketCapScore
        - symbolExactMatchBonus
        - tierBoost
        - safetyPenalty
        - holderConcentrationPenalty
        - finalScore
      properties:
        ageScore:
          type: number
          format: double
        finalScore:
          type: number
          format: double
        holderConcentrationPenalty:
          type: number
          format: double
        holdersScore:
          type: number
          format: double
        liquidityScore:
          type: number
          format: double
        marketCapScore:
          type: number
          format: double
        priceChangeScore:
          type: number
          format: double
        safetyPenalty:
          type: number
          format: double
        smartMoneyScore:
          type: number
          format: double
        symbolExactMatchBonus:
          type: number
          format: double
        tierBoost:
          type: number
          format: double
        txCountScore:
          type: number
          format: double
        volumeScore:
          type: number
          format: double
    TokenSecuritySummary:
      type: object
      properties:
        buyTax:
          type:
            - string
            - 'null'
          description: Buy tax rate
        holderCount:
          type:
            - string
            - 'null'
          description: Number of token holders
        isBlacklisted:
          type:
            - boolean
            - 'null'
          description: Whether the token is blacklisted
        isFreezable:
          type:
            - boolean
            - 'null'
          description: Whether the token is freezable
        isHoneypot:
          type:
            - boolean
            - 'null'
          description: Whether the token is a honeypot scam
        isMintable:
          type:
            - boolean
            - 'null'
          description: Whether the token is mintable
        isOpenSource:
          type:
            - boolean
            - 'null'
          description: Whether the contract is open source
        isProxy:
          type:
            - boolean
            - 'null'
          description: Whether the contract is a proxy
        isRenounced:
          type:
            - boolean
            - 'null'
          description: Whether contract ownership is renounced
        isShowAlert:
          type:
            - boolean
            - 'null'
          description: Whether to show a security alert
        lpHolderCount:
          type:
            - string
            - 'null'
          description: Number of liquidity pool holders
        ownerAddress:
          type:
            - string
            - 'null'
          description: Token owner address
        sellTax:
          type:
            - string
            - 'null'
          description: Sell tax rate
        sourcesAvailable:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Available security data sources
          example:
            - goplus
    TokenSocialMedias:
      type: object
      description: Token social media links
      properties:
        bitbucket:
          type:
            - string
            - 'null'
          description: Bitbucket 리포지토리 URL
          example: https://bitbucket.org/circle
        discord:
          type:
            - string
            - 'null'
          description: Discord 서버 URL
          example: https://discord.gg/circle
        facebook:
          type:
            - string
            - 'null'
          description: Facebook 페이지 URL
          example: https://facebook.com/circle
        farcaster:
          type:
            - string
            - 'null'
          description: Farcaster 핸들 또는 URL
          example: https://warpcast.com/vitalik
        github:
          type:
            - string
            - 'null'
          description: GitHub 리포지토리 URL
          example: https://github.com/circle
        instagram:
          type:
            - string
            - 'null'
          description: Instagram 핸들
          example: '@circle'
        linkedin:
          type:
            - string
            - 'null'
          description: LinkedIn 페이지 URL
          example: https://linkedin.com/company/circle
        medium:
          type:
            - string
            - 'null'
          description: Medium 블로그 URL
          example: https://medium.com/@circle
        reddit:
          type:
            - string
            - 'null'
          description: Reddit 커뮤니티 URL
          example: https://reddit.com/r/circle
        telegram:
          type:
            - string
            - 'null'
          description: Telegram 그룹 URL
          example: https://t.me/circle
        tiktok:
          type:
            - string
            - 'null'
          description: TikTok 핸들
          example: '@circle'
        twitter:
          type:
            - string
            - 'null'
          description: Twitter 핸들 또는 URL
          example: '@circle'
        website:
          type:
            - string
            - 'null'
          description: 공식 웹사이트 URL
          example: https://www.circle.com
        youtube:
          type:
            - string
            - 'null'
          description: YouTube 채널 URL
          example: https://youtube.com/@circle
    TokenStats:
      type: object
      description: Token statistics with nested time period data
      required:
        - address
        - periods
      properties:
        address:
          type: string
          description: 토큰 컨트랙트 주소
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        periods:
          type: object
          description: >-
            Trade statistics grouped by time period (1m, 5m, 15m, 30m, 1h, 4h,
            6h, 24h).

            Each period contains full OHLCV data, trade counts, and
            previous-period comparisons.

            See `TokenTradeStatPeriod` schema for all fields.
          additionalProperties:
            $ref: '#/components/schemas/TokenTradeStatPeriod'
          propertyNames:
            type: string
          example:
            6h:
              buyVolumeInUsd: '12000.00'
              buyers: '120'
              buys: '420'
              closeInUsd: '0.15600000'
              currentLiquidityInUsd: '250000.00'
              highInUsd: '0.15900000'
              lowInUsd: '0.15100000'
              openInUsd: '0.15200000'
              priceChangeRatioInUsd: '0.02631579'
              sellVolumeInUsd: '9800.00'
              sellers: '95'
              sells: '360'
              totalVolumeInUsd: '21800.00'
              traders: '215'
              trades: '780'
    TokenCreator:
      type: object
      description: Token creator info
      properties:
        address:
          type:
            - string
            - 'null'
          description: 생성자 지갑 주소
          example: 5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7
        isVerified:
          type:
            - boolean
            - 'null'
          description: 생성자 검증 여부
          example: true
        share:
          type:
            - integer
            - 'null'
          format: int64
          description: 생성자 수익 배분 비율
          example: 100
    TokenTradeStatPeriod:
      type: object
      description: Single time window trade statistics period
      properties:
        averagePriceInNative:
          type: string
          description: 네이티브 토큰 기준 평균 가격
          example: '0.00005100'
        averagePriceInUsd:
          type: string
          description: USD 기준 평균 가격
          example: '0.15300000'
        buySellRatio:
          type:
            - string
            - 'null'
          description: 매수 대비 매도 비율
          example: '1.5510'
        buyVolume:
          type: string
          description: 토큰 수량 기준 매수 거래량
          example: '15000000.12345678'
        buyVolumeInNative:
          type: string
          description: 네이티브 토큰 기준 매수 거래량
          example: '750.50'
        buyVolumeInUsd:
          type: string
          description: USD 기준 매수 거래량
          example: '45000.00'
        buyers:
          type: string
          description: 고유 매수자 수
          example: '320'
        buys:
          type: string
          description: 매수 거래 건수
          example: '1520'
        closeInNative:
          type: string
          description: 네이티브 토큰 기준 종가
          example: '0.00005200'
        closeInUsd:
          type: string
          description: USD 기준 종가
          example: '0.15600000'
        currentLiquidityInUsd:
          type: string
          description: USD 기준 현재 유동성
          example: '250000.00'
        dappProgramCount:
          type: string
          description: DEX 프로그램 수
          example: '8'
        highInNative:
          type: string
          description: 네이티브 토큰 기준 고가
          example: '0.00005300'
        highInUsd:
          type: string
          description: USD 기준 고가
          example: '0.15900000'
        liquidityChangeRatio:
          type:
            - string
            - 'null'
          description: 이전 기간 대비 유동성 변동률
          example: '0.0417'
        lowInNative:
          type: string
          description: 네이티브 토큰 기준 저가
          example: '0.00005000'
        lowInUsd:
          type: string
          description: USD 기준 저가
          example: '0.15000000'
        openInNative:
          type: string
          description: 네이티브 토큰 기준 시가
          example: '0.00005000'
        openInUsd:
          type: string
          description: USD 기준 시가
          example: '0.15000000'
        poolCount:
          type: string
          description: 유동성 풀 수
          example: '12'
        prevBuyVolume:
          type: string
          description: 이전 기간 토큰 수량 기준 매수 거래량
          example: '14000000.00'
        prevBuyVolumeInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 매수 거래량
          example: '700.00'
        prevBuyVolumeInUsd:
          type: string
          description: 이전 기간 USD 기준 매수 거래량
          example: '42000.00'
        prevBuyers:
          type: string
          description: 이전 기간 고유 매수자 수
          example: '300'
        prevBuys:
          type: string
          description: 이전 기간 매수 건수
          example: '1400'
        prevCloseInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 종가
          example: '0.00005100'
        prevCloseInUsd:
          type: string
          description: 이전 기간 USD 기준 종가
          example: '0.15100000'
        prevDappProgramCount:
          type: string
          description: 이전 기간 DEX 프로그램 수
          example: '7'
        prevHighInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 고가
          example: '0.00005100'
        prevHighInUsd:
          type: string
          description: 이전 기간 USD 기준 고가
          example: '0.15200000'
        prevLiquidityInUsd:
          type: string
          description: 이전 기간 USD 기준 유동성
          example: '240000.00'
        prevLowInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 저가
          example: '0.00004800'
        prevLowInUsd:
          type: string
          description: 이전 기간 USD 기준 저가
          example: '0.14500000'
        prevOpenInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 시가
          example: '0.00004900'
        prevOpenInUsd:
          type: string
          description: 이전 기간 USD 기준 시가
          example: '0.14800000'
        prevPoolCount:
          type: string
          description: 이전 기간 풀 수
          example: '10'
        prevSellVolume:
          type: string
          description: 이전 기간 토큰 수량 기준 매도 거래량
          example: '11000000.00'
        prevSellVolumeInNative:
          type: string
          description: 이전 기간 네이티브 토큰 기준 매도 거래량
          example: '550.00'
        prevSellVolumeInUsd:
          type: string
          description: 이전 기간 USD 기준 매도 거래량
          example: '33000.00'
        prevSellers:
          type: string
          description: 이전 기간 고유 매도자 수
          example: '200'
        prevSells:
          type: string
          description: 이전 기간 매도 건수
          example: '900'
        prevTrades:
          type: string
          description: 이전 기간 총 거래 건수
          example: '2300'
        priceChangeRatioInUsd:
          type: string
          description: USD 기준 가격 변동률
          example: '0.04000000'
        sellVolume:
          type: string
          description: 토큰 수량 기준 매도 거래량
          example: '12000000.98765432'
        sellVolumeInNative:
          type: string
          description: 네이티브 토큰 기준 매도 거래량
          example: '600.40'
        sellVolumeInUsd:
          type: string
          description: USD 기준 매도 거래량
          example: '36000.00'
        sellers:
          type: string
          description: 고유 매도자 수
          example: '210'
        sells:
          type: string
          description: 매도 거래 건수
          example: '980'
        totalVolumeInNative:
          type: string
          description: 네이티브 토큰 기준 총 거래량
          example: '1350.90'
        totalVolumeInUsd:
          type: string
          description: USD 기준 총 거래량
          example: '81000.00'
        traders:
          type: string
          description: 고유 트레이더 수
          example: '530'
        trades:
          type: string
          description: 총 거래 건수
          example: '2500'
        updatedAt:
          type:
            - string
            - 'null'
          description: 마지막 업데이트 타임스탬프
          example: '2026-02-09T08:05:12.345Z'
        volumeChangeRatio:
          type:
            - string
            - 'null'
          description: 이전 기간 대비 거래량 변동률
          example: '0.25'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````